Subject: [bug#50833] [PATCH] Add Bower (notmuch curses email client)

From: jgart <[email-masked]>
Date: Thu, 5 May 2022 14:31:10 +0000

On Wed, 20 Apr 2022 17:07:46 -0400 Maxim Cournoyer <[email-masked]> wrote:
> Hello,
> 
> Ludovic Courtès <[email-masked]> writes:
> 
> > Hi!
> >
> > jgart <[email-masked]> skribis:
> >
> >> On Thu, 30 Sep 2021 19:11:24 -0700 Sarah Morgensen <[email-masked]> wrote:
> >>> default_html_dump_command = command_prefix(shell_quoted(Lynx), quote_once) :-
> >>>     Lynx = "lynx -dump -force-html -stdin -display-charset=utf-8".
> >>
> >> Hi again,
> >>
> >> If lynx is being detected without needing to be wrapped should I still wrap it?
> >
> > It’s detected if it happens to be in $PATH, otherwise it won’t be found.
> >
> > Like Sarah suggested, I’d recommend using ‘substitute*’ to replace, say,
> > /usr/bin/sendmail by /gnu/store/…/bin/sendmail.  You can grep the code
> > for examples on how to do that; see also:
> >
> >   https://guix.gnu.org/manual/en/html_node/Build-Utilities.html#index-substitute_002a
> >
> > As for Lynx specifically, whether you’d leave it as is (in which case
> > it’s found if and only if it’s in $PATH), or whether you’d use
> > ‘substitute*’ depends on whether it’s an optional dependency or not.  If
> > Bower can gracefully handle lack of Lynx and, for instance, fall back to
> > another rendering method, then perhaps you can leave it as is.
> 
> jgart, could you look into that?  Then we can bring this review to
> completion :-)

Hi Ludo, Maxim,

Thanks for the review and encouragement. Sorry for the delay. I've been
in the process of relocating/starting a new job and haven't been able
to catch up on Guix stuff I have pending.

I spoke with wangp regading Lynx as an optional dependency:

https://github.com/wangp/bower/issues/103

> Like Sarah suggested, I’d recommend using ‘substitute*’ to
replace, say, /usr/bin/sendmail by /gnu/store/…/bin/sendmail.

I can patch sendmail and the others mentioned by Sarah. What should we
do about lynx given wangp's insight on lynx as default in bower?

all best,

jgart